Package javax.websocket

## Class DeploymentException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.websocket.DeploymentException

All Implemented Interfaces:
  `java.io.Serializable`

    public class DeploymentException
    extends java.lang.Exception

See Also:
  Serialized Form

### Constructor Summary

Constructors
`DeploymentException​(java.lang.String message)`
`DeploymentException​(java.lang.String message, java.lang.Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Constructor Detail

#### DeploymentException

    public DeploymentException​(java.lang.String message)

#### DeploymentException

    public DeploymentException​(java.lang.String message,
                               java.lang.Throwable cause)